Bug 552988 - config-editor: Hosts File config - Unsetting the Aliases configuration property doesn't unset. (Automation)
config-editor: Hosts File config - Unsetting the Aliases configuration proper...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: SubBug
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-06 13:47 EST by John Sefler
Modified: 2014-05-23 16:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-23 16:49:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2010-01-06 13:47:08 EST
Description of problem:
When editing the Hosts File config parameter Aliases and checking the "Unset" checkbox fails ton unset the parameter.


Version-Release number of selected component (if applicable):
rhq-dist Build#83
Revision : da720845756a2c37f5db5249799fca6b946b1ee8 

How reproducible:


Steps to Reproduce:
1. From RHQ GUI, open a linux platform, open its Host File
2. click its CONFIGURATION tab
3. click Change Properties button
4. Edit one of the entries
5. Unset its Aliases property and press OK
  
Actual results:
The Entries table does not reflect that the Aliases was "not set".  its still shows the old value.


Expected results:
The Aliases value for the entry should be "not set"

Additional info:
This defect was caught by an automated GUI test.
Comment 1 wes hayutin 2010-02-07 10:23:21 EST
Charles,
This bug is blocking some automated regression tests. Can you please have
someone on your team take a look at the issue.  Thank you!!!
Comment 2 wes hayutin 2010-02-08 14:30:07 EST
Charles does not want this worked on until the feature is back on the road map, removing the automation blocker tag.
Comment 3 wes hayutin 2010-02-16 11:58:21 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:03:17 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 Ian Springer 2011-03-10 16:45:35 EST
Note, I do not see a general issue in the coregui config editor with editing list-of-maps entries, so I think this is a bug in the hosts (or augeas) plugin.

Note You need to log in before you can comment on or make changes to this bug.